<div class='appointment card'>
  <div class="info">
    <div class="patient">
      <span class="name">
        Patinet name: <%= item.patient.full_name %>
      </span>
      <% if can? :read_number, item.patient %>
        <span class="phone_number">
          <%= item.patient.phone_number %>
        </span>
      <% end %>
    </div>
    <hr/>
    <div class="doctor">
      <span class="name">
        Dr. <%= item.doctor.full_name %> 
      </span>
      <span class="doctor_category_name">
      <% if item.doctor.doctor_category %>
        <%= item.doctor.doctor_category.name %>
      <% end %>
      </span>
      <span class="phone_number">
        <% if can? :read_number, item.doctor %>
          <%= item.doctor.phone_number %>
        <% end %>
      </span>
    </div>
    <div class="text description">
      <p class="purpose">Appointment reason:</p>
      <%= item.description %>
    </div>
  </div>
  <% if item.open? && can?(:close, item) # if allowed to close appointments / create recommendations %>
    <%# <div class="close_form"> %>
    <%= form_with model: Recommendation.new(appointment: item), class: 'close_form', url: close_appointment_path(item), method: :post do |form| %>
      <%= form.hidden_field :appointment_id %>
      <%= form.text_field :content, placeholder: 'Response to the patient' %>
      <%= form.submit value: 'Give Recommendation' %>
    <% end %>
  <% end %>
</div>
